## org.eclipse.m2m.qvt.oml.debug.core.vm
Interface DebuggableExecutorAdapter

    public interface DebuggableExecutorAdapter

Method Summary
`void` `connect(IQVTODebuggerShell debugShell)` Connects this adapter to the debugger which will partipate in the execution process
`Diagnostic` `execute()` Causes to run the executor behind this adapter
`org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit` `getUnit()` Gets the main compiled unit to be executed

Method Detail

### connect

    void connect(IQVTODebuggerShell debugShell)

  Connects this adapter to the debugger which will partipate in the execution process

  Parameters:
    `debugShell` -

### execute

    Diagnostic execute()
                       throws java.lang.IllegalStateException

  Causes to run the executor behind this adapter

  Returns:
    the status of finished execution
  Throws:
    `java.lang.IllegalStateException` - if this adapter is not connected to debugger

### getUnit

    org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit getUnit()

  Gets the main compiled unit to be executed

  Returns:
    the unit object

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.